summaryrefslogtreecommitdiffstats
path: root/util
diff options
context:
space:
mode:
authortv <tv@also>2011-07-31 02:33:49 +0200
committertv <tv@also>2011-07-31 02:33:49 +0200
commit727cf3bbc6bfc08472fc6e0b3784d931ba3391f6 (patch)
tree754473b6cb05b131cb7816c3e43d4cf3a5838a16 /util
parent7f5321696a2d6f3b8292ab3246f2374ba0334725 (diff)
translate.google: initial commit
Diffstat (limited to 'util')
-rwxr-xr-xutil/bin/translate.google29
1 files changed, 29 insertions, 0 deletions
diff --git a/util/bin/translate.google b/util/bin/translate.google
new file mode 100755
index 00000000..50d37cc3
--- /dev/null
+++ b/util/bin/translate.google
@@ -0,0 +1,29 @@
+#! /bin/sh
+set -euf
+
+A=Mozilla
+url=http://translate.google.com/
+
+{
+ for arg; do echo "$arg"; done | sed -rn '
+ s/^--(.*=.*)/\1/p;t
+ s/.*/text="${text+$text }&"/p;t
+ '
+ cat<<EOF
+ query() {
+ node "$(readlink -f "$(dirname "$(readlink -f "$0")")/../../submodules/github/visionmedia/query")" "\$@"
+ }
+ curl -sS -A "\${A-Mozilla}" \\
+ -d "js=\${js-n}" \\
+ -d "prev=\${prev-_t}" \\
+ -d "hl=\${hl-en}" \\
+ -d "ie=\${ie-UTF-8}" \\
+ -d "layout=\${layout-2}" \\
+ -d "eotf=\${eotf-1}" \\
+ -d "sl=\${sl-auto}" \\
+ -d "tl=\${tl-en}" \\
+ -d "text=\$text" \\
+ "$url" |
+ query '#result_box' text
+EOF
+} | sh